## TeplStyleSchemeChooserFull TeplStyleSchemeChooserFull — A GtkSourceStyleScheme chooser widget for light and dark themes |

## Functions

TeplStyleSchemeChooserFull * | tepl_style_scheme_chooser_full_new ()

## Types and Values

struct | TeplStyleSchemeChooserFull

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── TeplStyleSchemeChooserFull

## Implemented Interfaces

TeplStyleSchemeChooserFull implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <tepl/tepl.h>

## Description

TeplStyleSchemeChooserFull is a widget that permits to choose a GtkSourceStyleScheme.

It is similar to TeplStyleSchemeChooserSimple, but supports both light and dark GTK themes in a single widget.

TeplStyleSchemeChooserFull has a title for the component. The title describes whether it is for a light or dark GTK theme. There is only one list of style schemes shown, and it dynamically changes depending on the GTK theme.

It connects to the two GSettings keys provided by `tepl_settings_provide_style_scheme_settings()`.

## Functions

### tepl_style_scheme_chooser_full_new ()

    TeplStyleSchemeChooserFull *
    tepl_style_scheme_chooser_full_new (void);

#### Returns

a new TeplStyleSchemeChooserFull widget.

[transfer floating]

Since: 6.11

## Types and Values

### struct TeplStyleSchemeChooserFull

    struct TeplStyleSchemeChooserFull;